deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ronelle Landy <rla...@redhat.com>
Subject Re: DC cimi won't start anymore on Windows
Date Mon, 03 Dec 2012 04:55:11 GMT


Sent from my iPhone

On Dec 2, 2012, at 10:55 PM, David Lutterkort <lutter@redhat.com> wrote:

> On Sat, 2012-12-01 at 20:02 -0500, Ronelle Landy wrote:
>>> From: "Dies Koper" <diesk@fast.au.fujitsu.com>
>>> To: dev@deltacloud.apache.org
>>> Sent: Saturday, December 1, 2012 9:04:48 AM
>>> Subject: DC cimi won't start anymore on Windows
>>> 
>>> Just a heads up that DC won't start with the cimi front-end on
>>> Windows
>>> anymore.
>> 
>> :( ... Yes, this is problem on Fedora 16 as well.
>> 
>> *********
>> An error occurred while installing do_sqlite3 (0.10.10), and Bundler cannot continue.
>> Make sure that `gem install do_sqlite3 -v '0.10.10'` succeeds before bundling.
>> 
>> [root@cloud-qe-9 server]# gem install do_sqlite3 -v '0.10.10'
>> Building native extensions.  This could take a while...
>> .....
>> ERROR:  Error installing do_sqlite3:
>>    ERROR: Failed to build gem native extension.
>> ********
>> 
>> Michal, think this is Friday's DataMapper submission. Moical, can you
>> help us fix the deps here?
> 
> On Fedora, you need to install sqlite-devel to get the crucial header
> file for building do_sqlite3. Something similar needs to happen for
> Windows, too.
> 
> We'll need to update the install instructions for the site to indicate
> this.
> 
> David
> 
> 
I actually tried that yesterday on F16. I got by the sqlite dep by doing a "yum install sqlite-devel"
but then got the following trace when just starting deltacloud server - cimi/mock : (maybe
I missed some setup step when I lost audio from the community call but I'm pretty sure this
should still work)...

[root@cloud-qe-9 server]# ./bin/deltacloudd -i mock -f cimi -r cloud-qe-9.idm.lab.bos.redhat.com
Starting Deltacloud API :: mock ::http://cloud-qe-9.idm.lab.bos.redhat.com:3001/cimi/cloudEntryPoint

~ unable to open database file (code: 14, sql state: , query: , uri: )
/usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/connection.rb:79:in `initialize':
unable to open database file (DataObjects::ConnectionError)
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/connection.rb:79:in
`send'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/connection.rb:79:in
`__new'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/pooling.rb:181:in
`new'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/pooling.rb:176:in
`synchronize'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/pooling.rb:176:in
`new'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/pooling.rb:121:in
`new'
   from /usr/lib/ruby/gems/1.8/gems/data_objects-0.10.10/lib/data_objects/connection.rb:68:in
`new'
   from /usr/lib/ruby/gems/1.8/gems/dm-do-adapter-1.2.0/lib/dm-do-adapter/adapter.rb:251:in
`open_connection'
   from /usr/lib/ruby/gems/1.8/gems/dm-transactions-1.2.0/lib/dm-transactions/adapters/dm-do-adapter.rb:69:in
`open_connection'
   from /usr/lib/ruby/gems/1.8/gems/dm-do-adapter-1.2.0/lib/dm-do-adapter/adapter.rb:276:in
`with_connection'
   from /usr/lib/ruby/gems/1.8/gems/dm-do-adapter-1.2.0/lib/dm-do-adapter/adapter.rb:33:in
`select'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/adapters/dm-sqlite-adapter.rb:43:in
`table_info'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/adapters/dm-sqlite-adapter.rb:18:in
`storage_exists?'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/adapters/dm-do-adapter.rb:90:in
`create_model_storage'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/adapters/dm-do-adapter.rb:57:in
`upgrade_model_storage'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:73:in
`upgrade_model_storage'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:145:in
`auto_upgrade!'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:47:in
`send'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:47:in
`repository_execute'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/descendant_set.rb:64:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/subject_set.rb:210:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/ordered_set.rb:319:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/ordered_set.rb:319:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/subject_set.rb:210:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-core-1.2.0/lib/dm-core/support/descendant_set.rb:63:in
`each'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:46:in
`repository_execute'
   from /usr/lib/ruby/gems/1.8/gems/dm-migrations-1.2.0/lib/dm-migrations/auto_migration.rb:27:in
`auto_upgrade!'
   from /home/dcloud/workspace/deltacloud/server/lib/db.rb:26:in `initialize_database'
   from /home/dcloud/workspace/deltacloud/server/lib/db.rb:70
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
   from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in `require_relative'
   from /home/dcloud/workspace/deltacloud/server/lib/cimi/helpers.rb:29
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
   from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in `require_relative'
   from /home/dcloud/workspace/deltacloud/server/lib/cimi/server.rb:24
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
   from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
   from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in `require_relative'
   from /home/dcloud/workspace/deltacloud/server/lib/deltacloud_rack.rb:42:in `require_frontend!'
   from /home/dcloud/workspace/deltacloud/server/lib/deltacloud_rack.rb:126:in `require!'
   from /home/dcloud/workspace/deltacloud/server/config.ru:62
   from /home/dcloud/workspace/deltacloud/server/config.ru:56:in `each'
   from /home/dcloud/workspace/deltacloud/server/config.ru:56
   from /usr/lib/ruby/gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in `instance_eval'
   from /usr/lib/ruby/gems/1.8/gems/rack-1.4.1/lib/rack/builder.rb:51:in `initialize'
   from /home/dcloud/workspace/deltacloud/server/config.ru:1:in `new'
   from /home/dcloud/workspace/deltacloud/server/config.ru:1

Mime
  • Unnamed multipart/alternative (inline, 7-Bit, 0 bytes)
View raw message